%define upstream_name	 Font-AFM
%define upstream_version 1.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    	Interface to Adobe Font Metrics files
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://www.cpan.org/
Source0:   https://cpan.metacpan.org/authors/id/G/GA/GAAS/%{upstream_name}-%{upstream_version}.tar.bz2 

BuildArch:  noarch

%description
This module implements the Font::AFM class. Objects of this
class are initialised from an AFM-file and allows you to obtain
information about the font and the metrics of the various glyphs
in the font.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
%check
make test

%install
%make_install
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.200.0-11.mga10
+ Revision: 2199330
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.200.0-10.mga9
+ Revision: 1803739
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.200.0-9.mga8
+ Revision: 1494592
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.200.0-8.mga7
+ Revision: 1268182
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-7.mga6
+ Revision: 1027635
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.200.0-6.mga6
+ Revision: 931683
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.200.0-5.mga5
+ Revision: 742642
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.200.0-4.mga5
+ Revision: 684802
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.200.0-3.mga4
+ Revision: 511677
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.200.0-2.mga3
+ Revision: 367509
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.200.0-1.mga1
+ Revision: 11584
- imported package perl-Font-AFM


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.200.0-1mdv2010.1
+ Revision: 406026
- rebuild using %%perl_convert_version

* Fri Jun 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdv2009.0
+ Revision: 216416
- update to new version 1.20

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.19-5mdv2008.1
+ Revision: 180399
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu May 03 2007 Michael Scherer <misc@mandriva.org> 1.19-4mdv2008.0
+ Revision: 21207
- Rebuild


* Wed Dec 28 2005 Michael Scherer <misc@mandriva.org> 1.19-3mdk
- Do not ship empty dir
- use check
- remove MANIFEST from doc
- use mkrel

* Wed Feb 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.19-2mdk
- rebuild for new perl

* Fri Aug 06 2004 Michael Scherer <misc@mandrake.org> 1.19-1mdk
- First Mandrakelinux package

